Getting MATLAB to run on Fedora 30

Recently, I upgraded to the from Fedora 29 to 30 and everything went well but MATLAB R2018b wouldn’t launch. In this short article, I will share with you how I got MATLAB to run with the latest version of Fedora.

For those running MATLAB on Fedora 30 or if you just upgraded from 29, you will notice that MATLAB won’t launch. The reason for that is MATLAB relies on an older version of the library libcrypt. Fedora 30 of course comes with an updated version of this library and the only way to get MATLAB to run is to install an older version of the library. It is possible to downgrade the package however this may cause instability with other programs. The solution for me was to install a package called libcryptx-compat. I originally found the solution on MATLAB Answers, thanks to everyone who contributed!

All you have to do is open a terminal and paste the following command:

$ sudo dnf install libxcrypt-compat

That’s it! Now we can do some signal processing! 😉

Leave a comment

Your email address will not be published. Required fields are marked *

Blue Captcha Image
Refresh

*

2 thoughts on “Getting MATLAB to run on Fedora 30”

  • Avatar
    • Avatar